Package com.omnisci.thrift.server

## Enum TResultSetBufferDescriptor._Fields

- java.lang.Object
- - java.lang.Enum<TResultSetBufferDescriptor._Fields>
  - - com.omnisci.thrift.server.TResultSetBufferDescriptor._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TResultSetBufferDescriptor._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TResultSetBufferDescriptor

    public static enum TResultSetBufferDescriptor._Fields
    extends Enum<TResultSetBufferDescriptor._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`BUCKET`
`COL_SLOT_CONTEXT`
`COUNT_DISTINCT_DESCRIPTORS`
`ENTRY_COUNT`
`FORCE_4BYTE_FLOAT`
`GROUP_COL_WIDTHS`
`IDX_TARGET_AS_KEY`
`KEY_BYTEWIDTH`
`KEYLESS`
`LAYOUT`
`MAX_VAL`
`MIN_VAL`
`TARGET_GROUPBY_INDICES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TResultSetBufferDescriptor._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TResultSetBufferDescriptor._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TResultSetBufferDescriptor._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TResultSetBufferDescriptor._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TResultSetBufferDescriptor._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LAYOUT

    public static final TResultSetBufferDescriptor._Fields LAYOUT

See Also:
  `TResultSetLayout`

#### KEYLESS

    public static final TResultSetBufferDescriptor._Fields KEYLESS

#### ENTRY_COUNT

    public static final TResultSetBufferDescriptor._Fields ENTRY_COUNT

#### IDX_TARGET_AS_KEY

    public static final TResultSetBufferDescriptor._Fields IDX_TARGET_AS_KEY

#### MIN_VAL

    public static final TResultSetBufferDescriptor._Fields MIN_VAL

#### MAX_VAL

    public static final TResultSetBufferDescriptor._Fields MAX_VAL

#### BUCKET

    public static final TResultSetBufferDescriptor._Fields BUCKET

#### GROUP_COL_WIDTHS

    public static final TResultSetBufferDescriptor._Fields GROUP_COL_WIDTHS

#### KEY_BYTEWIDTH

    public static final TResultSetBufferDescriptor._Fields KEY_BYTEWIDTH

#### COL_SLOT_CONTEXT

    public static final TResultSetBufferDescriptor._Fields COL_SLOT_CONTEXT

#### TARGET_GROUPBY_INDICES

    public static final TResultSetBufferDescriptor._Fields TARGET_GROUPBY_INDICES

#### COUNT_DISTINCT_DESCRIPTORS

    public static final TResultSetBufferDescriptor._Fields COUNT_DISTINCT_DESCRIPTORS

#### FORCE_4BYTE_FLOAT

    public static final TResultSetBufferDescriptor._Fields FORCE_4BYTE_FLOAT

### Method Detail

#### values

    public static TResultSetBufferDescriptor._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TResultSetBufferDescriptor._Fields c : TResultSetBufferDescriptor._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TResultSetBufferDescriptor._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TResultSetBufferDescriptor._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TResultSetBufferDescriptor._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TResultSetBufferDescriptor._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`